GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Macros | Functions
time.c File Reference
`#include <grpc/support/time.h>`
`#include <limits.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <grpc/support/log.h>`

## Macros
#define | TOP_BIT_OF_TYPE(t) (((gpr_uintmax)1) << ((8 * sizeof(t)) - 1))
#define | TYPE_IS_SIGNED(t) (((t)1) > (t) ~(t)0)
#define | TYPE_MIN(t) ((t)(TYPE_IS_SIGNED(t) ? TOP_BIT_OF_TYPE(t) : 0))
#define | TYPE_MAX(t)

## Functions
int | gpr_time_cmp (gpr_timespec a, gpr_timespec b)
gpr_timespec | gpr_time_min (gpr_timespec a, gpr_timespec b)
gpr_timespec | gpr_time_max (gpr_timespec a, gpr_timespec b)
gpr_timespec | gpr_time_0 (gpr_clock_type type)
gpr_timespec | gpr_inf_future (gpr_clock_type type)
gpr_timespec | gpr_inf_past (gpr_clock_type type)
gpr_timespec | gpr_time_from_nanos (long ns, gpr_clock_type type)
gpr_timespec | gpr_time_from_micros (long us, gpr_clock_type type)
gpr_timespec | gpr_time_from_millis (long ms, gpr_clock_type type)
gpr_timespec | gpr_time_from_seconds (long s, gpr_clock_type type)
gpr_timespec | gpr_time_from_minutes (long m, gpr_clock_type type)
gpr_timespec | gpr_time_from_hours (long h, gpr_clock_type type)
gpr_timespec | gpr_time_add (gpr_timespec a, gpr_timespec b)
gpr_timespec | gpr_time_sub (gpr_timespec a, gpr_timespec b)
int | gpr_time_similar (gpr_timespec a, gpr_timespec b, gpr_timespec threshold)
gpr_int32 | gpr_time_to_millis (gpr_timespec t)
double | gpr_timespec_to_micros (gpr_timespec t)
gpr_timespec | gpr_convert_clock_type (gpr_timespec t, gpr_clock_type clock_type)

## Macro Definition Documentation

#define TOP_BIT_OF_TYPE | ( |  | t | ) | (((gpr_uintmax)1) << ((8 * sizeof(t)) - 1))

#define TYPE_IS_SIGNED | ( |  | t | ) | (((t)1) > (t) ~(t)0)

#define TYPE_MAX | ( |  | t | ) |

Value:
((t)(TYPE_IS_SIGNED(t) ? (TOP_BIT_OF_TYPE(t) - 1) \
: ((TOP_BIT_OF_TYPE(t) - 1) << 1) + 1))
TOP_BIT_OF_TYPE
#define TOP_BIT_OF_TYPE(t)
Definition: time.c:64
TYPE_IS_SIGNED
#define TYPE_IS_SIGNED(t)
Definition: time.c:67

#define TYPE_MIN | ( |  | t | ) | ((t)(TYPE_IS_SIGNED(t) ? TOP_BIT_OF_TYPE(t) : 0))

## Function Documentation

gpr_timespec gpr_convert_clock_type | ( | gpr_timespec | t,
|  | gpr_clock_type | clock_type
| ) |  |

gpr_timespec gpr_inf_future | ( | gpr_clock_type | type | ) |

gpr_timespec gpr_inf_past | ( | gpr_clock_type | type | ) |

gpr_timespec gpr_time_0 | ( | gpr_clock_type | type | ) |

gpr_timespec gpr_time_add | ( | gpr_timespec | a,
|  | gpr_timespec | b
| ) |  |

int gpr_time_cmp | ( | gpr_timespec | a,
|  | gpr_timespec | b
| ) |  |

gpr_timespec gpr_time_from_hours | ( | long | h,
|  | gpr_clock_type | type
| ) |  |

gpr_timespec gpr_time_from_micros | ( | long | us,
|  | gpr_clock_type | type
| ) |  |

gpr_timespec gpr_time_from_millis | ( | long | ms,
|  | gpr_clock_type | type
| ) |  |

gpr_timespec gpr_time_from_minutes | ( | long | m,
|  | gpr_clock_type | type
| ) |  |

gpr_timespec gpr_time_from_nanos | ( | long | ns,
|  | gpr_clock_type | type
| ) |  |

gpr_timespec gpr_time_from_seconds | ( | long | s,
|  | gpr_clock_type | type
| ) |  |

gpr_timespec gpr_time_max | ( | gpr_timespec | a,
|  | gpr_timespec | b
| ) |  |

gpr_timespec gpr_time_min | ( | gpr_timespec | a,
|  | gpr_timespec | b
| ) |  |

int gpr_time_similar | ( | gpr_timespec | a,
|  | gpr_timespec | b,
|  | gpr_timespec | threshold
| ) |  |

gpr_timespec gpr_time_sub | ( | gpr_timespec | a,
|  | gpr_timespec | b
| ) |  |

gpr_int32 gpr_time_to_millis | ( | gpr_timespec | t | ) |

double gpr_timespec_to_micros | ( | gpr_timespec | t | ) |